// ==============================================================
// Name:			x2c - contants.h
//
// Description:		constants 
//
// Copyright (C) 2001-2008, J. Martin Wehlou, Man in The Middle AB
// martin@wehlou.com, martin@mitm.se, MiTM AB, Flintstensvagen 10, 75267 Uppsala, Sweden
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
// $LastChangedDate: $
// $LastChangedRevision: $
// $LastChangedBy: $
// $HeadURL: $
// $Id: $
// ==============================================================


#ifndef CONSTANTS_H
#define CONSTANTS_H
#pragma message("--- constants.h")

#pragma message("- begin includes - " __FILE__)

#pragma message("- end includes - " __FILE__)
// ----------------------------------------------------------------------- //

const char k_pszTitle[] = "x2c - template driven xml processor V 1.1.4";
const char k_pszCopyright[] = "(c) Cactus Computing bvba 2001\n(c) Secure System Design 2003\n(c) Man In The Middle AB 2008\n";

#ifdef _DEBUG
	const bool k_bDebug = true;
#else
	const bool k_bDebug = false;
#endif

	const bool k_bValStackDump = false;

enum eValType {
	vtNONE		= 0,
	vtSTR,
	vtDBL,
	vtBOOL,
	vtMAP,
	vtSET,
	vtFUNC,
	vtNODE,
	vtNODELIST,
	vtXMLREF,				// reference to xml file
};


// ----------------------------------------------------------------------- //
#else
#pragma message("--* constants.h already included")
#endif
// ----------------------------------------------------------------------- //
