// ==============================================================
// Name:		x2c - exceptions.cpp
//
// Description:	exception class implementation 
//
// Copyright (C) 2001-2008, J. Martin Wehlou, Man in The Middle AB
// martin@wehlou.com, martin@mitm.se, MiTM AB, Flintstensvagen 10, 75267 Uppsala, Sweden
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
// $LastChangedDate: $
// $LastChangedRevision: $
// $LastChangedBy: $
// $HeadURL: $
// $Id: $
// ==============================================================


//#include "stdafx.h"
#include <stdarg.h>
#include "exceptions.h"


namespace x
{
	wstring v2s(const wchar_t* pszFormat, ...) {
		va_list		args;
		wchar_t		szBuf[512];
		int			nBuf;
		va_start	(args, pszFormat);
		nBuf = _vsnwprintf_s(szBuf, sizeof(szBuf)/sizeof(szBuf[0]), pszFormat, args);
		va_end(args);
		return wstring(szBuf);
	}
};